Skip to main content

Set Alert

Request to be POSTed to uri : /NorenWClientAPI/SetAlert

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
tsym*Trading symbol
exch*Exchange Segment
ai_t*Alert Type
validity*DAY or GTTDAY or GTT
d*Data to be compared with LTP
remarksAny message Entered during order entry.
sms_flagtrue or falseSMS flag
email_flagtrue or falseEmail flag
push_flagtrue or falsePush flag

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/SetAlert' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO","tsym":"ACC-EQ","exch":"NSE","ai_t":"LTP_A", "validity":"DAY", "d":"1900"}'

Response Details :

Response data will have below fields.

Json FieldsPossible valueDescription
statalert success or failure indication.
request_timeThis will be present only in a successful response.
al_idAlert Id
emsgThis will be present only in case of errors.That is : 1) Invalid Input 2) Session Expired

Sample Success Response :

{
"request_time": "14:54:18 19-01-2026",
"stat": "OI created",
"al_id": "26011900000001"
}

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}